Roles with what they grant and who holds them.
curl --request POST \
--url https://app.assetinfinity.ai/api/role_settings \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"is_system": true,
"name": "<string>",
"permission_codes": "<string>",
"permissions": 123,
"row_version": 123,
"users": 123
}
'import requests
url = "https://app.assetinfinity.ai/api/role_settings"
payload = {
"code": "<string>",
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": True,
"is_system": True,
"name": "<string>",
"permission_codes": "<string>",
"permissions": 123,
"row_version": 123,
"users": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
description: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_active: true,
is_system: true,
name: '<string>',
permission_codes: '<string>',
permissions: 123,
row_version: 123,
users: 123
})
};
fetch('https://app.assetinfinity.ai/api/role_settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Access
Roles with what they grant and who holds them.
is_system marks the ones provisioning rewrites — editing those is undone on the next deploy.
POST
/
role_settings
Roles with what they grant and who holds them.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
role_settings
Roles with what they grant and who holds them.
is_system marks the ones provisioning rewrites — editing those is undone on the next deploy.
Maximum string length:
60Note: This is a Primary Key.
Maximum string length:
150Response
201
Created
Was this page helpful?
⌘I

